/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package gov.anl.aps.dm.portal.controllers;


import gov.anl.aps.dm.portal.model.beans.UserExperimentRoleFacade;
import gov.anl.aps.dm.portal.model.entities.Experiment;
import gov.anl.aps.dm.portal.model.entities.UserInfo;
import java.io.Serializable;
import java.util.List;
import javax.ejb.EJB;
import javax.enterprise.context.SessionScoped;
import javax.inject.Named;
import org.apache.log4j.Logger;

@Named("experimentUsersController")
@SessionScoped
public class ExperimentUsersController  implements Serializable {
    
    private static final Logger logger = Logger.getLogger(ExperimentUsersController.class.getName());
    
    @EJB
    private UserExperimentRoleFacade userExperimentRoleFacade;

    public ExperimentUsersController() {
        this.experimentUsersTable = new ExperimentUsersTable();
    }

    class ExperimentUsersTable extends DataTableController<UserInfo> {

        @Override
        public String getEntityTypeName() {
            return "UserInfo";
        }

        @Override
        public List<UserInfo> findAll() {
            // find all users in experiment
            return null;
        }
    }
  
    private ExperimentUsersTable experimentUsersTable;
    private Experiment experiment;

    public Experiment getExperiment() {
        return experiment;
    }

    public void setExperiment(Experiment experiment) {
        this.experiment = experiment;
    }

    public ExperimentUsersTable getExperimentUsersTable() {
        return experimentUsersTable;
    }

    public void setExperimentUsersTable(ExperimentUsersTable experimentUsersTable) {
        this.experimentUsersTable = experimentUsersTable;
    }
    
    public String getCurrentEntityInstanceName() {
        return null;
    }
    
    public String remove() {
        return null;
    }
    
    public boolean canRemove(String removerUsername, UserInfo removee) {
        return false;
    }
    
    public boolean canAddUsers(String username) {
        return true;
    }
    
    public boolean isManager(String userId) {
        return true;
    }
    
    public boolean isPI(String userId) {
        return true;
    }
    
    public boolean isUser(String userId) {
        return true;
    }
    
    public boolean canAssignManager(String userId) {
        return true;
    }
    
    public boolean canAssignPI(String userId) {
        return true;
    }
    
    public boolean canAssignUser(String userId) {
        return true;
    }
    
}
